# $Revision: 1.3.2.2 $, $Date: 2003/05/06 00:35:04 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	ZH-HanConvert
Summary:	Lingua::ZH::HanConvert - convert Traditional Chinese <-> Simplified Chinese
Summary(pl):	Lingua::ZH::HanConvert - konwersja chiski tradycyjny <-> chiski uproszczony
Name:		perl-Lingua-ZH-HanConvert
Version:	0.12
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In the 1950's, the Chinese government simplified over 2000 Chinese
characters. Taiwan and Hong Kong still use the traditional characters.
The simplified characters are hard to read if you only know the
traditional ones, and vice-versa. This module attempts to convert
Chinese text between the two forms, using character-by-character
transliteration.

%description -l pl
W latach 1950-tych rzd chiski uproci ponad 2000 chiskich
ideogramw. Tajwan i Hong Kong nadal uywaj ideogramw tradycyjnych.
Ideogramy uproszczone s nieczytelne dla znajcych tylko tradycyjne
i odwrotnie. Modu dokonuje wzajemnej konwersji tekstw chiskich
w tych dwu postaciach stosujc z transliteracj znak po znaku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^use v5\.6\.0(;.*)$/use 5.006_00$1/' HanConvert.pm

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{perl_sitelib}/Lingua/ZH
%{perl_sitelib}/Lingua/ZH/HanConvert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Lingua-ZH-HanConvert.spec,v $
Revision 1.3.2.2  2003/05/06 00:35:04  ankry
- fixed perl version required by modele; rel. 2

Revision 1.3.2.1  2003/03/13 00:57:52  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:26  ankry
- massive attack: change CPAN URLs

Revision 1.1  2003/01/18 13:45:44  ankry
- initial release, it builds

